#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/11/19 16:05
# @File        : __init__.py
# @Description : Registers the logging views with the Flask application.
"""

from flask import Flask

from .log import log_api


def register_log_views(app: Flask):
    """
    Registers the log API blueprint with the Flask application.

    Args:
        app (Flask): The Flask application.

    Returns:
        None
    """
    app.register_blueprint(log_api)
